=== debian/changelog ===
zam-plugins (2.1-1) unstable; urgency=low

  * Initial release (Closes: #730305)  

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 02 Dec 2013 17:38:15 +0100
