=== debian/control ===
Source: zam-plugins
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Jaromír Mikeš <mira.mikes@seznam.cz>,
 Adrian Knoth <adi@drcomp.erfurt.thur.de>
Build-Depends:
 debhelper (>= 9),
 pkg-config,
 lv2-dev,
 ladspa-sdk,
 lv2-c++-tools,
 faust
Standards-Version: 3.9.4
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/zam-plugins.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/zam-plugins.git
Homepage: http://www.zamaudio.com/?p=870

Package: zam-plugins
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Collection of LV2 and LADSPA plugins
 Plugins for high quality audio processing.
 Package contain these plugins:
  * zamautosat
    Auto saturation plugin.
    A gentle automatic saturator with no controls.
  * zamcomp
    LV2 compressor plugin.
  * zamcompexp
    LV2 Compressor/Expander plugin
    This is a clone of ZamCompX2 with an extra feature: an expander.
    The knee setting has been removed, however.
    It only functions using hard knee.
  * zamcompx2
    LV2 compressor plugin: stereo version of ZamComp.
  * zamdither
    LV2 dither plugin.
  * zameq2
    LV2 Equalizer plugin.
  * zamexcite
    LV2 vocal exciter plugin: stereo.
  * zamtube
    LV2 tube amp/cabinet simulator.
  * zamulticomp
    LV2 mono multiband compressor plugin.
  * zamvalve
    Valve distortion plugin.
  * zamvalve-tahn
    CPU efficient version of zamvalve plugin.
