=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@

override_dh_auto_clean:

override_dh_auto_build:
	$(MAKE) \
		PREFIX=/usr

override_dh_auto_install:
	$(MAKE) install \
		DESTDIR=$(CURDIR)/debian/zam-plugins \
		PREFIX=/usr
	chmod 644 $(CURDIR)/debian/zam-plugins/usr/lib/lv2/*/*.ttl
