=== debian/watch ===
version=3
opts=zam-plugins=s/.+\/v?(\d\S*)\.tar\.gz/<project>-$1.tar.gz/ \
  https://github.com/zamaudio/zam-plugins/tags .*/v?(\d\S*)\.tar\.gz
