=== plugins/ZamComp/Makefile ===
#!/usr/bin/make -f
# Makefile for zam-plugins #
# ------------------------ #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = ZamComp

# --------------------------------------------------------------
# Files to build

OBJS_DSP = \
	ZamCompPlugin.cpp.o

OBJS_UI  = \
	ZamCompArtwork.cpp.o \
	ZamCompUI.cpp.o

# --------------------------------------------------------------
# Do some magic

include ../Makefile.mk

# --------------------------------------------------------------
# Enable all possible plugin types

ifeq ($(LINUX),true)
all: jack ladspa dssi lv2_sep vst
else
all: ladspa vst
endif

# --------------------------------------------------------------
