=== debian/changelog ===
zam-plugins (3.5~repack0-7) unstable; urgency=medium

  * Fix build on hurd-i386.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 19 Oct 2014 22:45:23 +0200

zam-plugins (3.5~repack0-6) unstable; urgency=medium

  * Disable build on hurd-i386.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 19 Oct 2014 22:15:45 +0200

zam-plugins (3.5~repack0-5) unstable; urgency=medium

  * Fix watch file.
  * Fix build on non linux (Closes: #765617) (Closes: #765613)

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 16 Oct 2014 20:17:46 +0200

zam-plugins (3.5~repack0-4) unstable; urgency=medium

  * Build arch linux-any.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 15 Oct 2014 12:11:46 +0200

zam-plugins (3.5~repack0-3) unstable; urgency=medium

  * Fix source in copyright file.
  * Fix homepage.
  * Update README.debian file.
  * Tune g++ flags for amd64 i386.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 15 Oct 2014 07:25:09 +0200

zam-plugins (3.5~repack0-2) unstable; urgency=medium

  * Tune g++ flags.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 14 Oct 2014 23:32:21 +0200

zam-plugins (3.5~repack0-1) unstable; urgency=low

  * Imported Upstream version 3.5~repack0
  * Update description.
  * Update copyright file.
  * Added fix install patch.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 14 Oct 2014 12:32:37 +0200

zam-plugins (3.3~repack0-1) experimental; urgency=low

  * Imported Upstream version 3.2~repack0
  * Add get-orig-source to rules file.
  * Compression now tar.gz.
  * Remove unused build deps.
  * Added liblo-dev and libjack-dev as build deps.
  * Tuned build deps for libgl-dev.
  * Bump Standards.
  * Add libgl-dev to build deps.
  * Use embeded libs.
  * Refreshed patch.
  * Added local-options file. 

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 13 Jul 2014 11:43:07 +0200
