=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

upstream_version ?= $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9.]+)(\+dfsg\d+)?.*$$/\1/p')
dfsg_version = $(upstream_version)~repack0
pkg = $(shell dpkg-parsechangelog | sed -ne 's/^Source: //p')
noopt = $(if $(filter amd64,$(DEB_HOST_ARCH)),NOOPT=false,NOOPT=true)

%:
	dh $@

override_dh_auto_clean:

override_dh_auto_build:
	$(MAKE) \
		PREFIX=/usr \
		$(noopt)

override_dh_auto_install:
	$(MAKE) install \
		DESTDIR=$(CURDIR)/debian/zam-plugins \
		PREFIX=/usr
	chmod 644 $(CURDIR)/debian/zam-plugins/usr/lib/lv2/*/*.ttl

# get-orig-source to drop upstream .gitignore file
get-orig-source:
	uscan --noconf --force-download --rename --debug --destdir=.
	tar -xf $(pkg)_$(upstream_version).orig.tar.gz
	mv $(pkg)-$(upstream_version) $(pkg)-$(dfsg_version)
	find $(pkg)-$(dfsg_version)/ -name '.gitignore' -delete
	tar cf $(pkg)_$(dfsg_version).orig.tar $(pkg)-$(dfsg_version)
	xz -zf $(pkg)_$(dfsg_version).orig.tar
	rm -rf $(pkg)-$(dfsg_version)
	mv $(pkg)_$(dfsg_version).orig.tar.xz ../$(pkg)_$(dfsg_version).orig.tar.xz
	mv $(pkg)_$(upstream_version).orig.tar.gz ../$(pkg)_$(upstream_version).orig.tar.gz
