=== debian/watch ===
version=3
opts=dversionmangle=s/~repack0.*// \
  https://github.com/zamaudio/zam-plugins/tags .*/v?(\d\S*)\.tar\.gz
