=== plugins/ZaMultiCompX2/Makefile ===
--- 
+++ 
@@ -27,10 +27,29 @@
 # --------------------------------------------------------------
 # Enable all possible plugin types
 
-ifeq ($(LINUX),true)
-all: jack ladspa dssi lv2_sep vst
-else
-all: ladspa vst
+ifeq ($(HAVE_DGL),true)
+ifeq ($(HAVE_JACK),true)
+TARGETS += jack
+endif
 endif
 
+ifeq ($(LINUX),true)
+TARGETS += ladspa
+ifeq ($(HAVE_DGL),true)
+ifeq ($(HAVE_LIBLO),true)
+TARGETS += dssi
+endif
+endif
+endif
+
+ifeq ($(HAVE_DGL),true)
+TARGETS += lv2_sep
+else
+TARGETS += lv2_dsp
+endif
+
+TARGETS += vst
+
+all: $(TARGETS)
+
 # --------------------------------------------------------------
