=== debian/changelog ===
zam-plugins (3.6~repack2-3) unstable; urgency=medium

  * Remove more flags.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sat, 31 Oct 2015 01:54:19 +0100

zam-plugins (3.6~repack2-2) unstable; urgency=medium

  * Remove problematic flags.
  * Little fix in watch file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Fri, 30 Oct 2015 15:45:58 +0100

zam-plugins (3.6~repack2-1) unstable; urgency=medium

  * Droped patches.
  * Update get-orig-source.
  * Update copyright file.
  * Enable parallel build.
  * Update description.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 28 Oct 2015 08:03:48 +0100
