=== debian/control ===
--- 
+++ 
@@ -50,3 +50,12 @@
     Multiband compressor (mono)
   * ZaMultiCompX2
     Multiband compressor (stereo)
+  * ZaMaximX2
+    Lightweight maximiser/limiter (stereo)
+  * ZamGate
+    Gate plugin (mono)
+  * ZamGateX2
+    Gate plugin (stereo)
+  * ZamHeadX2
+    Acoustic HRTF stereo widener (stereo)
+
